***Sintax ENADID 1997, BASE DE DATOS HISTORIA DE UNIONES***
*** Base de datos: ENADID97_hist-uni.sav***

*** ETIQUETAR Y CODIFICAR VARIABLES DE LA BASE DE HISTORIA DE UNIONES***

***1.***

Variable Labels ent 'ent Entidad'.
Value Labels ent
01	'Aguascalientes'
02	'Baja California'
03	'Baja California Sur'
04	'Campeche'
05	'Coahuila'
06	'Colima'
07	'Chiapas'
08	'Chihuahua'
09	'Distrito Federal'
10	'Durango'
11	'Guanajuato'
12	'Guerrero'
13	'Hidalgo'
14	'Jalisco'
15	'Mxico'
16	'Michoacn'
17	'Morelos'
18	'Nayarit'
19	'Nuevo Len'
20	'Oaxaca'
21	'Puebla'
22	'Quertaro'
23	'Quintana Roo'
24	'San Luis Potos'
25	'Sinaloa'
26	'Sonora'
27	'Tabasco'
28	'Tamaulipas'
29	'Tlaxcala'
30	'Veracruz'
31	'Yucatn'
32	'Zacatecas'
33	'frica'
34	'Amrica'
35	'Estados Unidos de Amrica'
36	'Asia'
37	'Europa'
38	'Oceana'
70	'Estados Unidos Mexicanos'
99	'No especificado'.
Execute .

***2.***

Variable Labels mun 'mun Municipio'.
Execute .

***3.***

Variable Labels zona 'zona Zona'.
Value Labels zona
01	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
02	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
03	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
04	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
05	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
06	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
07	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
20	'Localidades de 90 000 a 99 999 habitantes'
30	'Localidades de 50 000 a 89 999 habitantes'
40	'Localidades de 15 000 a 49 999 habitantes'
50	'Localidades de 2 500 a 14 999 habitantes'
60	'Menores de 2 500 habitantes'.
Execute .

***4.***

Variable Labels estrato 'estrato Estrato'.
Execute .

***5.***

Variable Labels tam_loc 'tam_loc Tamao de localidad'.
Value Labels tam_loc
1  'Menor a 2 500 habitantes'
2  '2 500 a 14 999 habitantes'
3  '15 000 a 19 999 habitantes'
4  '20 000 a 99 999 habitantes'
5  '100 000 y ms habitantes'.
Execute .

***6.***

Variable Labels upm 'upm Nmero de control'.
Execute .

***7.***

Variable Labels f_viv 'f_viv Folio de vivienda'.
Execute .

***8.***

Variable Labels hogar 'hogar Nmero de hogar en la vivienda'.
Execute .

***9.***

Variable Labels fac_muj 'fac_muj Factor de expansin (mujer)'.
Execute .

***10.***

Variable Labels p3_1 'p3_1 Nmero de registro de la mujer en la seccin III Datos Generales'.
Execute .

***11.***

Variable Labels p14_9 'p14_9 Nmero de la unin'.
Execute .

***12.***

Variable Labels p14_10a 'p14_10a Fecha de inicio de (1a, 2a, ...) unin_Mes'.
Value Labels p14_10a
1	'Enero'
2	'Febrero'
3	'Marzo'
4	'Abril'
5	'Mayo'
6	'Junio'
7	'Julio'
8	'Agosto'
9	'Septiembre'
10	'Octubre'
11	'Noviembre'
12	'Diciembre'
99	'No especificado'.
Execute .

***13***

Variable Labels p14_10b 'p14_10b Fecha de inicio de (1a, 2a, ...) unin_Ao'.
Value Labels p14_10b	99 'No especificado'.
Execute .

***14.***

Variable Labels p14_11 'p14_11 Tipo de unin'.
Value Labels p14_11
1  'Una unin libre'
2  'Un matrimonio slo por lo civil'
3  'Slo por la iglesia'
4  'Por lo civil y por la iglesia'
9  'No especificado'.
Execute .

***15.***

Variable Labels p14_12 'p14_12 Este(a) matrimonio (unin) se termin por:'.
Value Labels p14_12
1  'Separacin'
2  'Viudez'
3  'Divorcio'
9  'No especificado'.
Execute .

***16.***

Variable Labels p14_13a 'p14_13a Fecha de (1a, 2a, ...) disolucin_Mes'.
Value Labels p14_13a
1	'Enero'
2	'Febrero'
3	'Marzo'
4	'Abril'
5	'Mayo'
6	'Junio'
7	'Julio'
8	'Agosto'
9	'Septiembre'
10	'Octubre'
11	'Noviembre'
12	'Diciembre'
99	'No especificado'.
Execute .

***17.***

Variable Labels p14_13b 'p14_13b Fecha de (1a, 2a, ...) disolucin_Ao'.
Value Labels p14_13b	99 'No especificado'.
Execute .

***18.***

Variable Labels p14_14 'p14_14 Antes de casarse haban vivido juntos algn tiempo?'.
Value Labels p14_14	1 'S'
			2 'No'
			9 'No sabe'.
Execute .

***19.***

Variable Labels p14_15a 'p14_15a Fecha de inicio (1a, 2a, ...) cohabitacin_Mes'.
Value Labels p14_15a
1	'Enero'
2	'Febrero'
3	'Marzo'
4	'Abril'
5	'Mayo'
6	'Junio'
7	'Julio'
8	'Agosto'
9	'Septiembre'
10	'Octubre'
11	'Noviembre'
12	'Diciembre'
99	'No especificado'.
Execute .

***20.***

Variable Labels p14_15b 'p14_15b Fecha de inicio (1a, 2a, ...) cohabitacin_Ao'.
Value Labels p14_15b	99 'No especificado'.
Execute .


***************************************
*** PEGAR BASES DE DATOS
***************************************

*** I M P O R T A N T E
*** Tener en cuenta que si se desea realizar el pegado de bases nuevamente es necesario modificar la ruta
*** en la que se encuentra ya sea la base de Datos Generales o la de Vivienda y Hogares

*** En la base de migracin hay una modificacin en una de las variabes que utilizan como llave
*** esto se debe a que la variable relativa al nmero de registro de la persona en esta base es p7_2a y en la de datos generales es p3_1  

*** Para realizar el pegado de las variables de las bases de Datos Generales y de Vivienda y Hogares
*** se cre una variable llave y las bases se ordenaron de acuerdo a esta llave y al nmero de registro de la persona en la base de datos generales.
*** Las bases de vivienda y hogares, y la de mortalidad solamente se ordenaron de acuerdo a la variable llave

*** La sintaxis de los pasos seguidos es la siguiente:


** 1. ORDENAR las bases de datos en forma ascendente, con base en 4 variables

SORT CASES BY
  ent (A) mun (A) zona (A) estrato (A).


** 2. CREAR UNA VARIABLE LLAVE. Es de tipo cadena porque todas las variables involucradas son de ese tipo

STRING llave (A20).
COMPUTE llave = CONCAT(ent, mun,zona,estrato,upm,f_viv,hogar) .
Variable Labels llave 'llave Variable llave para pegar bases de datos'.
EXECUTE .


** 3. ORDENAR las bases de datos de forma ascendente de acuerdo a las variables llave y p3_1

SORT CASES BY
  llave (A) p3_1 (A) .


******************************************************************************************************************************************
*** 1. A LA BASE DE HISTORIA DE UNIONES PEGAR VARIABLES DE LA BASE DE DATOS GENERALES***
******************************************************************************************************************************************

MATCH FILES /FILE=*
 /TABLE='C:\Usuarios\ENADID97_dat-gen.sav'
 /RENAME (ent estrato f_viv fac_viv hogar mun p3_10a p3_10b p3_11a p3_12 p3_4
  p3_6 p3_8 p3_9 p4_1a p4_1c p4_1e p4_2 p4_4 p4_5a p4_5b p4_6a p4_6b p4_7
  p4_8a p4_8b p4_9a p4_9b p6_11 p6_12 p6_13a p6_13b p6_14a p6_14b p6_15 p6_16
  p6_2 tam_loc upm zona = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14
  d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33
  d34 d35 d36 d37 d38 d39)
 /BY llave p3_1
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38
  d39.
EXECUTE.



******************************************************************************************************************************************
*** 2. A LA BASE DE HISTORIA DE UNIONES PEGAR VARIABLES DE LA BASE DE VIVIENDA Y HOGARES ***
******************************************************************************************************************************************

MATCH FILES /FILE=*
 /TABLE='C:\Usuarios\ENADID97_viv-hog.sav'
 /RENAME (ent estrato f_viv fac_viv fent_mes hogar ingmenth mun p2_2 p2_3
  p3_3a p3_3c p6_10mh p6_8mh p7_11a p7_11b p8_1a p8_1b p8_4 tam_loc tip_hog
  upm zona = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18
  d19 d20 d21 d22)
 /BY llave
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19
  d20 d21 d22.
EXECUTE.


